Bug 798310 - [abrt] kernel: WARNING: at drivers/mtd/nand/r852.c:771 r852_irq+0x203/0x290 [r852]()
[abrt] kernel: WARNING: at drivers/mtd/nand/r852.c:771 r852_irq+0x203/0x290 [...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:8a1b19228883344ab9e73d80624...
: Reopened
: 728869 749364 783244 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-02-28 10:36 EST by Brian Lockwood
Modified: 2014-06-09 07:47 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-27 11:16:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
traceback (7.41 KB, text/plain)
2012-03-23 04:52 EDT, Kamil Páral
no flags Details

  None (edit)
Description Brian Lockwood 2012-02-28 10:36:13 EST
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        BOOT_IMAGE=/vmlinuz-3.2.7-1.fc16.x86_64 root=/dev/mapper/vg_fc16toshiba-lv_root ro rd.md=0 rd.dm=0 rd.lvm.lv=vg_fc16toshiba/lv_root rd.lvm.lv=vg_fc16toshiba/lv_swap quiet SYSFONT=latarcyrheb-sun16 rhgb KEYTABLE=uk rd.luks=0 LANG=en_US.UTF-8
comment:        Put an SD card in, the mount seemed to progress normally after that.
kernel:         3.2.7-1.fc16.x86_64
reason:         WARNING: at drivers/mtd/nand/r852.c:771 r852_irq+0x203/0x290 [r852]()
time:           Tue 28 Feb 2012 03:34:04 PM GMT

backtrace:
:WARNING: at drivers/mtd/nand/r852.c:771 r852_irq+0x203/0x290 [r852]()
:Hardware name: Satellite Pro A300
:Modules linked in: tcp_lp ppdev parport_pc lp parport uvcvideo videodev media v4l2_compat_ioctl32 fuse lockd ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 ip6table_filter ip6_tables nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack arc4 joydev ath9k mac80211 microcode r852 sm_common nand nand_ids mtd nand_ecc r592 iTCO_wdt i2c_i801 memstick iTCO_vendor_support snd_hda_codec_realtek ath9k_common ath9k_hw ath cfg80211 snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm toshiba_acpi sparse_keymap snd_timer r8169 mii snd soundcore snd_page_alloc rfkill sunrpc uinput sdhci_pci sdhci firewire_ohci mmc_core firewire_core crc_itu_t i915 drm_kms_helper drm i2c_algo_bit i2c_core video [last unloaded: scsi_wait_scan]
:Pid: 0, comm: swapper/0 Not tainted 3.2.7-1.fc16.x86_64 #1
:Call Trace:
: <IRQ>  [<ffffffff8106dd4f>] warn_slowpath_common+0x7f/0xc0
: [<ffffffff8106ddaa>] warn_slowpath_null+0x1a/0x20
: [<ffffffffa03d1913>] r852_irq+0x203/0x290 [r852]
: [<ffffffff810de3f5>] handle_irq_event_percpu+0x55/0x220
: [<ffffffff8109a2a6>] ? do_timer+0x2d6/0x500
: [<ffffffff810de604>] handle_irq_event+0x44/0x70
: [<ffffffff810e167f>] handle_fasteoi_irq+0x5f/0xf0
: [<ffffffff810161a6>] handle_irq+0x46/0xb0
: [<ffffffff815ec89a>] do_IRQ+0x5a/0xe0
: [<ffffffff815e21ee>] common_interrupt+0x6e/0x6e
: <EOI>  [<ffffffff8133856b>] ? arch_local_irq_enable+0x8/0xd
: [<ffffffff8109668a>] ? sched_clock_idle_wakeup_event+0x1a/0x20
: [<ffffffff813392b2>] acpi_idle_enter_simple+0xd3/0x115
: [<ffffffff81492ca1>] cpuidle_idle_call+0xc1/0x280
: [<ffffffff8101322a>] cpu_idle+0xca/0x120
: [<ffffffff815bf42e>] rest_init+0x72/0x74
: [<ffffffff81aebbfe>] start_kernel+0x3ba/0x3c5
: [<ffffffff81aeb347>] x86_64_start_reservations+0x132/0x136
: [<ffffffff81aeb140>] ? early_idt_handlers+0x140/0x140
: [<ffffffff81aeb44d>] x86_64_start_kernel+0x102/0x111

smolt_data:
:
:
:General
:=================================
:UUID: 2641586c-ed1d-438f-8cb3-9014e9daf4dd
:OS: Fedora release 16 (Verne)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: x86_64
:BogoMIPS: 4323.13
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) Dual  CPU  T3400  @ 2.16GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2166
:System Memory: 2882
:System Swap: 4927
:Vendor: TOSHIBA
:System: Satellite Pro A300 PSAG9E-01K001EN
:Form factor: Notebook
:Kernel: 3.2.7-1.fc16.x86_64
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Permissive
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(32902:10816:4473:65310) pci, agpgart-intel, HOST/PCI, Mobile 4 Series Chipset Memory Controller Hub
:(32902:10544:4473:65310) pci, i801_smbus, SERIAL, 82801I (ICH9 Family) SMBus Controller
:(32902:10537:4473:65310) pci, ahci, STORAGE, ICH9M/M-E SATA AHCI Controller
:(32902:10521:4473:65310) pci, None, PCI/ISA, ICH9M LPC Interface Controller
:(4332:33128:4473:65310) pci, r8169, ETHERNET, RTL8111/8168B PCI Express Gigabit Ethernet controller
:(32902:10549:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #2
:(32902:9288:4473:65310) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:10553:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #6
:(32902:10550:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #3
:(32902:10554:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #1
:(32902:10556:4473:65310) pci, ehci_hcd, USB, 82801I (ICH9 Family) USB2 EHCI Controller #2
:(5772:42:5199:28993) pci, ath9k, NETWORK, AR928X Wireless Network Adapter (PCI-Express)
:(32902:10818:4473:65311) pci, i915, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10819:4473:65311) pci, None, VIDEO, Mobile 4 Series Chipset Integrated Graphics Controller
:(32902:10560:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 1
:(32902:10562:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 2
:(32902:10568:4473:65310) pci, pcieport, PCI/PCI, 82801I (ICH9 Family) PCI Express Port 5
:(32902:10558:4473:65310) pci, snd_hda_intel, MULTIMEDIA, 82801I (ICH9 Family) HD Audio Controller
:(4480:2098:4473:65310) pci, firewire_ohci, FIREWIRE, R5C832 IEEE 1394 Controller
:(4480:2082:4473:65310) pci, sdhci-pci, BASE, R5C822 SD/SDIO/MMC/MS/MSPro Host Adapter
:(32902:10548:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #1
:(4480:1426:4473:65310) pci, r592, BASE, R5C592 Memory Stick Bus Host Adapter
:(32902:10551:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #4
:(4480:2130:4473:65310) pci, r852, BASE, xD-Picture Card Controller
:(32902:10552:4473:65310) pci, uhci_hcd, USB, 82801I (ICH9 Family) USB UHCI Controller #5
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_fc16toshiba-lv_root / ext4 4096 4096 13081819 11291360 10636000 3276800 3069067 3069067
:/dev/sda2 /boot ext4 1024 1024 508745 388016 362416 128016 127780 127780
:/dev/mapper/vg_fc16toshiba-lv_home /home ext4 4096 4096 46488729 35059519 32732172 11640832 11618030 11618030
:/dev/mmcblk0p1 WITHHELD vfat 4096 4096 1935670 1874024 1874024 0 0 0
:
Comment 1 Josh Boyer 2012-02-28 13:12:14 EST
*** Bug 728869 has been marked as a duplicate of this bug. ***
Comment 2 Josh Boyer 2012-02-28 13:12:18 EST
*** Bug 749364 has been marked as a duplicate of this bug. ***
Comment 3 Josh Boyer 2012-02-28 13:12:23 EST
*** Bug 783244 has been marked as a duplicate of this bug. ***
Comment 4 Dave Jones 2012-03-22 12:44:14 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 12:48:39 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Dave Jones 2012-03-22 12:57:56 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 Kamil Páral 2012-03-23 04:52:31 EDT
Created attachment 572193 [details]
traceback

Still the same problem with 3.3.0-4.fc16.x86_64.
Comment 8 Josh Boyer 2012-09-04 13:19:31 EDT
Kamil, are you still seeing this with 3.4 or 3.5 kernels?
Comment 9 Kamil Páral 2012-09-05 07:16:38 EDT
I just tried the same XD card with ThinkPad R61 and kernel 3.6.0-0.rc2.git2.1.fc18. If I put in the card, nothing happens. After I pull it out, kernel prints:

> r592: IRQ: card added

I'll re-test on ThinkPad T500 (that I used for the original report) and latest kernel available in F17.
Comment 10 Kamil Páral 2012-09-05 13:28:38 EDT
(In reply to comment #9)
It behaves exactly the same on ThinkPad T500 and kernel 3.5.3-1.fc17.x86_64.
Comment 11 Dave Jones 2012-10-23 11:32:28 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 12 Justin M. Forbes 2012-11-14 10:17:15 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.
Comment 13 Kamil Páral 2012-11-15 03:48:11 EST
Retested with kernel-3.6.6-3.fc18.x86_64. Still the same problem. Every time I pull out the card, kernel prints:

> r592: IRQ: card added

Inserting the card does nothing, except for the first time, where it printed exactly the same line. No disk device is created.
Comment 14 Fedora End Of Life 2013-01-16 17:57:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Justin M. Forbes 2013-10-18 17:08:30 EDT
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 18 kernel bugs.

Fedora 18 has now been rebased to 3.11.4-101.fc18.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 19, and are still experiencing this issue, please change the version to Fedora 19.

If you experience different issues, please open a new bug report for those.
Comment 16 Justin M. Forbes 2013-11-27 11:16:40 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  

It has been over a month since we asked you to test the 3.11 kernel updates and let us know if your issue has been resolved or is still a problem. When this happened, the bug was set to needinfo.  Because the needinfo is still set, we assume either this is no longer a problem, or you cannot provide additional information to help us resolve the issue.  As a result we are closing with insufficient data. If this is still a problem, we apologize, feel free to reopen the bug and provide more information so that we can work towards a resolution

If you experience different issues, please open a new bug report for those.

Note You need to log in before you can comment on or make changes to this bug.